#include "local.h"
#include "mystring.h"

BOOL
Myatol (
	register LPCMYSTR	strSrc,
	register long*		plDest)
{
	register long	lResult	= 0 ;

	assert (strSrc != NULL) ;

	while (MYTEXT ('0') <= *strSrc && *strSrc <= MYTEXT ('9')) {
		lResult	= lResult * 10 + (*strSrc - MYTEXT ('0')) ;
		strSrc	++ ;
	}
	if (*strSrc != MYTEXT ('\0'))
		return	FALSE ;
	if (plDest != NULL)
		*plDest	= lResult ;
	return	TRUE ;
}

int
lstrcmpnA (
	register LPCSTR			pString1,
	register LPCSTR			pString2,
	register int			n)
{
	while (n > 0 && *pString1 == *pString2) {
		pString1	++ ;
		pString2	++ ;
		n	-- ;
	}
	if (n == 0)
		return	0 ;
	return	(*pString1 - *pString2) ;
}

int
lstrcmpnW (
	register LPCWSTR		pString1,
	register LPCWSTR		pString2,
	register int			n)
{
	while (n > 0 && *pString1 == *pString2) {
		pString1	++ ;
		pString2	++ ;
		n	-- ;
	}
	if (n == 0)
		return	0 ;
	return	(*pString1 - *pString2) ;
}

